import { defineComponent as u, mergeModels as a, useModel as m, createElementBlock as d, openBlock as l, createVNode as c, createBlock as p, createCommentVNode as v, unref as t } from "vue";
import { useI18n as f } from "vue-i18n";
import { a8 as C, b } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
const h = /* @__PURE__ */ u({
  __name: "BasePriceToReferenceUnitConfiguration",
  props: /* @__PURE__ */ a({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const e = m(n, "modelValue"), { t: i } = f();
    return (A, o) => (l(), d("div", null, [
      c(t(C), {
        modelValue: e.value.useAutoConversion,
        "onUpdate:modelValue": o[0] || (o[0] = (r) => e.value.useAutoConversion = r),
        label: t(i)("pim.etl.BasePriceToReferenceUnit.useAutoConversion")
      }, null, 8, ["modelValue", "label"]),
      e.value.useAutoConversion ? (l(), p(t(b), {
        key: 0,
        modelValue: e.value.autoConversionThreshold,
        "onUpdate:modelValue": o[1] || (o[1] = (r) => e.value.autoConversionThreshold = r),
        label: t(i)("pim.etl.BasePriceToReferenceUnit.autoConversionThreshold"),
        class: "mt-4",
        "persistent-placeholder": ""
      }, null, 8, ["modelValue", "label"])) : v("", !0)
    ]));
  }
});
function s(n) {
  const e = n;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        pim: {
          etl: {
            BasePriceToReferenceUnit: {
              useAutoConversion: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Use Auto Conversion" } },
              autoConversionThreshold: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Use Conversion Threshold" } }
            }
          }
        }
      },
      "de-DE": {
        pim: {
          etl: {
            BasePriceToReferenceUnit: {
              useAutoConversion: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Auto-Konvertierung verwenden" } },
              autoConversionThreshold: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Konvertierungsschwellenwert verwenden" } }
            }
          }
        }
      }
    }
  });
}
typeof s == "function" && s(h);
export {
  h as default
};
